syntax on
set nocompatible
set encoding=utf8

"set mouse=a
set hidden

set updatetime=300

" -- Initialisation de Plug
call plug#begin('~/.config/nvim/plugged')
    Plug 'loctvl842/monokai-pro.nvim'
    Plug 'junegunn/fzf.vim'
    Plug 'junegunn/fzf', { 'do': { -> fzf#install() } }
    Plug 'kyazdani42/nvim-web-devicons' " requis pas bufferline
    Plug 'neoclide/coc.nvim', {'branch': 'release'}
    Plug 'pappasam/coc-jedi', { 'do': 'yarn install --frozen-lockfile && yarn build', 'branch': 'main' }
"    Plug 'akinsho/bufferline.nvim'
"    Plug 'ms-jpq/chadtree', {'branch': 'chad', 'do': 'python3 -m chadtree deps'}
call plug#end()

set background=dark

set ruler			" Affiche la position du curseur
set number			" Affiche le numéro des lignes
set relativenumber
set cursorline		" Surligne la ligne en cours
set wrap

set scrolloff=5

set confirm

set ignorecase
set smartcase
set incsearch
set hlsearch 		" Surligne les résultats d'une recherche

" -- Indentation:w
set expandtab 		" Les tabulations deviennent des espaces
set tabstop=4		" Nombre d'espace pour une tabulation
set smartindent
set autoindent
"set paste			" Pas d'indentation auto lors d'un collage

set wildmenu 		" Autocomplete les commandes via un menu


if (has("termguicolors"))
  set termguicolors
endif

"Tous les fichiers du repertoire courant
nnoremap <silent> <C-p> :Files<CR>
" Tous les fichiers du repertoire courant suivis par GIT
nnoremap <silent> <C-g> :GFiles<CR>

nnoremap <silent> <C-o> :Buffers<CR>

"nnoremap <C-f> :Rg!
"nnoremap <C-n> :bn<CR>
"nnoremap <C-b> :bp<CR>

"COC Make Enter accept the autocomplete suggestion
inoremap <silent><expr> <CR> pumvisible() ? coc#_select_confirm() : "\<CR>"

set shiftwidth=4
set softtabstop=4
set tabstop=4


autocmd Filetype html setlocal ts=2 sw=2 expandtab
autocmd Filetype css setlocal ts=2 sw=2 expandtab
autocmd Filetype scss setlocal ts=2 sw=2 expandtab
autocmd Filetype python setlocal ts=2 sw=2 expandtab

set termguicolors
lua << EOF
-- require("bufferline").setup{}
require("monokai-pro").setup({
  -- ... your config
  filter = "spectrum"
})
vim.cmd([[colorscheme monokai-pro]])
EOF
